Commit b34fdd0f authored by Jan Kiene's avatar Jan Kiene
Browse files

Merge branch 'ci/complexity-measurements-cleanup' into 'main'

[CI] Complexity measurement cleanup + fix metadata for mouseover popups

See merge request !2099
parents 827fc94b ee5b1eb9
Loading
Loading
Loading
Loading
Loading
+2 −7
Original line number Diff line number Diff line
@@ -2458,9 +2458,8 @@ coverage-test-on-main-scheduled:

  - job_id=$(python3 ci/get_id_of_last_job_occurence.py $CI_COMMIT_REF_NAME $CI_JOB_NAME $CI_PROJECT_ID)
  - echo $job_id
  - curl --request GET "https://forge.3gpp.org/rep/api/v4/projects/$CI_PROJECT_ID/jobs/$job_id/artifacts" --output artifacts.zip
  - unzip artifacts.zip || true # this may fail on first run, when there are no artifacts there and the zip file is actually just "404"-html
  - ls
  - curl --silent --show-error  --request GET "https://forge.3gpp.org/rep/api/v4/projects/$CI_PROJECT_ID/jobs/$job_id/artifacts" --output artifacts.zip
  - unzip -qq artifacts.zip || true # this may fail on first run, when there are no artifacts there and the zip file is actually just "404"-html
  - public_dir="$CI_JOB_NAME-public"

  # if is needed to catch case when no artifact is there (first run), similarly as above
@@ -2483,7 +2482,6 @@ coverage-test-on-main-scheduled:
  -   fi
  - fi

  - ls wmops
  - rm artifacts.zip
  - rm -rf $public_dir

@@ -2496,8 +2494,6 @@ coverage-test-on-main-scheduled:
  - mkdir $public_dir/logs
  # first move logs
  - log_files=$(cat $public_dir/graphs*.js | grep logFile | sed "s/.*\(wmops_newsletter_.*\.csv\).*/\1/g")
  - echo $log_files
  - ls wmops/logs
  - for f in $log_files; do [ -f wmops/logs/$f ] && mv wmops/logs/$f $public_dir/logs/$f; done
  # copy index page blueprint
  - cp ci/complexity_measurements/index_complexity.html ${public_dir}/index.html
@@ -2505,7 +2501,6 @@ coverage-test-on-main-scheduled:
  - sed -i "s/IVAS FORMAT/IVAS $in_format to $out_format/g" ${public_dir}/index.html
  # do separately here to avoid overwrite complaints by mv
  - mv -f ci/complexity_measurements/style.css ${public_dir}/
  - ls $public_dir

.complexity-template:
  extends:
+0 −4
Original line number Diff line number Diff line
@@ -53,10 +53,6 @@ def check_linewise_logfile(filepath, cols):
            changes_found = True
            break

    if changes_found:
        print("Previous log line:", prev)
        print("Current log line:", curr)

    return changes_found


+3 −6
Original line number Diff line number Diff line
@@ -47,9 +47,6 @@ RUNS_KEYS_WMOPS = RUNS_KEYS_COMMON + [
    "worstCaseEnc",
    "worstCaseDec",
    "worstCaseCodec",
    "worstCaseEncRs",
    "worstCaseDecRs",
    "worstCaseCodecRs",
    "fixpointScalingFac",
]
RUNS_KEYS_WMOPS_PER_OP = [
@@ -82,9 +79,9 @@ RUNS_KEYS = {
    "wmops_per_op": RUNS_KEYS_WMOPS_PER_OP,
}
RUNS_LINE_IDX = {
    "wmops": [2, 1, 0, 4, 6, 8, 12, 14, 16, 10, 18],
    "rom": [2, 1, 0, 4, 6, 8, 10, 12, 14, 16, 18, 20],
    "ram": [2, 1, 0, 4, 6, 9, 11, 14, 16, 18],
    "wmops": [2, 1, 0, 18, 4, 6, 8, 10],
    "rom": [2, 1, 0, 20, 4, 6, 8, 10, 12, 14, 16, 18],
    "ram": [2, 1, 0, 18, 4, 6, 9, 11, 14, 16],
    "wmops_per_op": [0, 4],
}

+6 −5
Original line number Diff line number Diff line
@@ -89,7 +89,6 @@ ret_val_script=$?
# for wmops and RAM graphs, split by levels
split_suffixes=("_rate_sw" "_level_1" "_level_2" "_level_3")
for suffix in "${split_suffixes[@]}"; do
  echo "$suffix"

  wmopsFilenameFlc_split="${wmopsFilenameFlc}_WMOPS${suffix}.csv"
  wmopsFilenameFlcLast_split="${wmopsFilenameFlcLast}_WMOPS${suffix}.csv"
@@ -135,12 +134,14 @@ else
  python3 ci/complexity_measurements/genWebpageData.py --wmops_per_op_log ${wmopsFilenameFlc}_WMOPS.csv --rom_log ${log_rom_all}
fi

ret_val=0
python3 ${scriptDir}/check_for_changes.py --wmops_logfiles $(ls ${destDir}/wmops/log_wmops_all*.txt) --ram_logfiles $(ls ${destDir}/wmops/log_ram_all*.txt) --rom_logfile ${destDir}/wmops/log_rom_all.txt
if [ "$?" != "0" ]; then
  ret_val=123
elif [ "$ret_val_script" != "0" ]; then
ret_val_changes=$?

ret_val=0
if [ "$ret_val_script" != "0" ]; then
  ret_val=1
elif [ "$ret_val_changes" != "0" ]; then
  ret_val=123
fi

exit $ret_val
+25 −19
Original line number Diff line number Diff line
@@ -40,6 +40,12 @@ revision = ""
shortDate = ""
fullDate = ""

"""
The purpose of this script is to convert the csv file output from the IvasBuildAndRunChecks script
into a blank-space separated string which is then appended to an existing file obtained from the last
complexity pipeline run.
"""

if __name__ == "__main__":
    newsletterFilenameHEAP = sys.argv[1]
    newsletterFilenameSTACK = sys.argv[2]
@@ -135,23 +141,23 @@ for key in ram_table:


print(
    revision,  # string revision               $tmp[1]
    shortDate,  # string shortDate              $tmp[2]
    fullDate,  # string fullDate               $tmp[3]
    max_total_encdec[1],  # value maxTotalRamCodecScore   $tmp[4]
    max_total_enc[0],  # string maxTotalRamEnc         $tmp[5]
    max_total_enc[1],  # value maxTotalRamEnc          $tmp[6]
    max_total_dec[0],  # string maxTotalRamDec         $tmp[7]
    max_total_dec[1],  # value maxTotalRamDecScore	    $tmp[8]
    max_stack_encdec[1],  # value maxStackCodecScore	    $tmp[9]
    max_stack_enc[0],  # string maxStackEnc            $tmp[10]
    max_stack_enc[1],  # value maxStackEncScore        $tmp[11]
    max_stack_dec[0],  # string maxStackDec            $tmp[12]
    max_stack_dec[1],  # value maxStackDecScore	    $tmp[13]
    max_heap_encdec[1],  # value maxHeapCodecScore       $tmp[14]
    max_heap_enc[0],  # string maxHeapEnc             $tmp[15]
    max_heap_enc[1],  # value maxHeapEncScore         $tmp[16]
    max_heap_dec[0],  # string maxHeapDec             $tmp[17]
    max_heap_dec[1],  # value maxHeapDecScore         $tmp[19]
    newsletterFilenameLast,  # string logFile                $tmp[19]
    revision,  # string revision
    shortDate,  # string shortDate
    fullDate,  # string fullDate
    max_total_encdec[1],  # value maxTotalRamCodecScore
    max_total_enc[0],  # string maxTotalRamEnc
    max_total_enc[1],  # value maxTotalRamEnc
    max_total_dec[0],  # string maxTotalRamDec
    max_total_dec[1],  # value maxTotalRamDecScore
    max_stack_encdec[1],  # value maxStackCodecScore
    max_stack_enc[0],  # string maxStackEnc
    max_stack_enc[1],  # value maxStackEncScore
    max_stack_dec[0],  # string maxStackDec
    max_stack_dec[1],  # value maxStackDecScore
    max_heap_encdec[1],  # value maxHeapCodecScore
    max_heap_enc[0],  # string maxHeapEnc
    max_heap_enc[1],  # value maxHeapEncScore
    max_heap_dec[0],  # string maxHeapDec
    max_heap_dec[1],  # value maxHeapDecScore
    newsletterFilenameLast,  # string logFile
)
Loading